Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.exception.util
Class MessageFactory

    java.lang.Object
      org.apache.commons.math.exception.util.MessageFactory

    public class MessageFactory

extends Object

Class for constructing localized messages.

Since:
  2.2
Version:
  $Revision$ $Date$

Method Summary
`static String` | `buildMessage(Locale locale, Localizable specific, Localizable general, Object... arguments)` Builds a message string by from two patterns (specific and general) and an argument list.
`static String` | `buildMessage(Locale locale, Localizable pattern, Object... arguments)` Builds a message string by from a pattern and its arguments.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### buildMessage

    public static String buildMessage(Locale locale,
                                      Localizable pattern,
                                      Object... arguments)

  Builds a message string by from a pattern and its arguments.

  Parameters:
    `locale` - Locale in which the message should be translated.
    `pattern` - Format specifier.
    `arguments` - Format arguments.
  Returns:
    a localized message string.

### buildMessage

    public static String buildMessage(Locale locale,
                                      Localizable specific,
                                      Localizable general,
                                      Object... arguments)

  Builds a message string by from two patterns (specific and general) and an argument list.

  Parameters:
    `locale` - Locale in which the message should be translated.
    `specific` - Format specifier (may be null).
    `general` - Format specifier (may be null).
    `arguments` - Format arguments. They will be substituted in both the `general` and `specific` format specifiers.
  Returns:
    a localized message string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.